## Class TScaffoldView

Description

TScaffoldView is a composite control consisting of TScaffoldListView

with a TScaffoldSearch. In addition, it will display a TScaffoldEditView when an "edit" command is raised from the TScaffoldListView (when the edit button is clicked). Futher more, the "add" button can be clicked that shows an empty data TScaffoldListView for creating new records.

The ListView property gives a TScaffoldListView for display the record data. The EditView is the TScaffoldEditView that renders the inputs for editing and adding records. The SearchControl is a TScaffoldSearch responsible to the search user interface.

Set the RecordClass property to the name of the Active Record class to be displayed/edited/added.

- since: 3.0
- version: $Id: TScaffoldView.php 1894 2007-05-03 00:48:04Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Data/ActiveRecord/Scaffold/TScaffoldView.php (line 42)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase
                      |
                      --TScaffoldView

Method Summary
void bubbleEvent (mixed $sender, mixed $param)
TButton getAddButton ()
TScaffoldEditView getEditView ()
TScaffoldListView getListView ()
TScaffoldSearch getSearchControl ()
void onPreRender (mixed $param)
void showAddView (mixed $sender, mixed $param)
void showEditView (mixed $sender, mixed $param)
void showListView (mixed $sender, mixed $param)
Methods
bubbleEvent (line 95)

Handle the "edit" and "new" commands by displaying the edit view.

Default command shows the list view.

- access: public

void bubbleEvent (mixed $sender, mixed $param)

Redefinition of:

TControl::bubbleEvent()
  This method responds to a bubbled event.

getAddButton (line 85)

- return: "Add new record" button.
- access: public

TButton getAddButton ()
getEditView (line 67)

- return: scaffold edit view.
- access: public

TScaffoldEditView getEditView ()
getListView (line 58)

- return: scaffold list view.
- access: public

TScaffoldListView getListView ()
getSearchControl (line 76)

- return: scaffold search textbox and button.
- access: public

TScaffoldSearch getSearchControl ()
onPreRender (line 47)

Copy basic record details to the list/edit/search controls.

- access: public

void onPreRender (mixed $param)

Redefinition of:

TScaffoldBase::onPreRender()
  Publish the default stylesheet file.

showAddView (line 136)

Shows the add record view.

- access: protected

void showAddView (mixed $sender, mixed $param)
showEditView (line 112)

Shows the edit record view.

- access: protected

void showEditView (mixed $sender, mixed $param)
showListView (line 125)

Shows the view for listing the records.

- access: protected

void showListView (mixed $sender, mixed $param)

#### Inherited Methods

Inherited From TScaffoldBase

> TScaffoldBase::clearRecordObject()
> TScaffoldBase::copyFrom()
> TScaffoldBase::getDefaultStyle()
> TScaffoldBase::getEnableDefaultStyle()
> TScaffoldBase::getRecordClass()
> TScaffoldBase::getRecordFinder()
> TScaffoldBase::getRecordObject()
> TScaffoldBase::getRecordPkValues()
> TScaffoldBase::getRecordPropertyValues()
> TScaffoldBase::getTableInfo()
> TScaffoldBase::onPreRender()
> TScaffoldBase::setDefaultStyle()
> TScaffoldBase::setEnableDefaultStyle()
> TScaffoldBase::setRecordClass()
> TScaffoldBase::setRecordObject()

Inherited From TTemplateControl

> TTemplateControl::createChildControls()
> TTemplateControl::getIsSourceTemplateControl()
> TTemplateControl::getMaster()
> TTemplateControl::getMasterClass()
> TTemplateControl::getTemplate()
> TTemplateControl::getTemplateDirectory()
> TTemplateControl::initRecursive()
> TTemplateControl::injectContent()
> TTemplateControl::loadTemplate()
> TTemplateControl::registerContent()
> TTemplateControl::registerContentPlaceHolder()
> TTemplateControl::setMasterClass()
> TTemplateControl::setTemplate()

Inherited From TCompositeControl

> TCompositeControl::initRecursive()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TTemplateControl

> TTemplateControl::EXT_TEMPLATE

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:09 -0400 by phpDocumentor 1.3.0RC4